package ukol;

import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.sql.SQLException;

/**
 * Hlavní třída aplikace zobrazující výsledky dotazů do databáze knih.
 */
public class QueryJSPApp {

    /**
     * Plně kvalifikované jméno JDBC ovladače použitého pro komunikaci s databází.
     */
    public static final String JDBC_DRIVER = "com.mysql.jdbc.Driver";
    /**
     * Adresa databáze, zahrnuje adresu serveru a název databáze.
     */
    public static final String DATABASE_URL = "jdbc:mysql://localhost/books";
    /**
     * Uživatelské jméno použité při připojení k databázi.
     */
    public static final String USERNAME = "jhtp6";
    /**
     * Heslo použité při připojení k databázi.
     */
    public static final String PASSWORD = "jhtp6";
    private final ResultSetTableModel tableModel;
    private final DisplayQueryResults displayResults;

    public QueryJSPApp() throws ClassNotFoundException, SQLException {
        tableModel =
                new ResultSetTableModel(JDBC_DRIVER, DATABASE_URL, USERNAME, PASSWORD);
        displayResults = new DisplayQueryResults(tableModel);
    }

    @Override
    public void finalize() {
        // při zavření okna dojde k odpojení od databáze
        // a ukončení aplikace
        tableModel.disconnectFromDatabase();
    }

    public String getHtml() {
        return displayResults.toHtml();
    }

    public void runDotaz(int i) {
        displayResults.runDotaz(i);
    }
}
