/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package ukol.dotazy;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;

/**
 *
 * @author robot
 */
public class SeznamKnih extends SQLAdapter {

    private final PreparedStatement statement;
    private final SQLAdapter autori;

    public SeznamKnih(Connection connection) throws SQLException {
        super("Seznam knih autora ...");
        statement = connection.prepareStatement("SELECT t.title as \"Název Knihy\",t.copyright as Rok, t.isbn ISBN FROM titles t,authors a,authorISBN i "
                + "WHERE a.authorID = i.authorID and i.isbn = t.isbn And a.authorID = ? "
                + "ORDER BY t.title");
        autori = new VsichniAutori(connection);
    }

    @Override
    public ResultSet getResult() throws SQLException {
        ResultSet rs = autori.getResult();
        rs.last();
        int numberOfRows = rs.getRow();
        int ids[] = new int[numberOfRows];
        String nazvy[] = new String[numberOfRows];


        for (int i = 0; i < numberOfRows; i++) {
            rs.absolute(i + 1);
            ids[i] = (int) rs.getInt("authorID");
            nazvy[i] = rs.getString("lastName") + " " + rs.getString("firstName");
        }
        Integer id = UI.select("Vyberte autora", ids, nazvy);
        if (id == null) {
            id = -1;
        }
        statement.setInt(1, id);
        return statement.executeQuery();
    }
}
